Loading...
Searching...
No Matches
mdns_service Struct Reference

`#include <mdns_priv.h>`

## Data Fields

struct mdns_domain | txtdata
char | name [63+1]
char | service [63+1]
service_get_txt_fn_t | txt_fn
u16_t | proto
u16_t | port

## Detailed Description

Description of a service

## Field Documentation

## name

char mdns_service::name[63+1]

Name of service, like 'myweb'

## port

u16_t mdns_service::port

Port of the service

## proto

u16_t mdns_service::proto

Protocol, TCP or UDP

## service

char mdns_service::service[63+1]

Type of service, like '_http'

## txt_fn

service_get_txt_fn_t mdns_service::txt_fn

Callback function and userdata to update txtdata buffer

## txtdata

struct mdns_domain mdns_service::txtdata

TXT record to answer with

The documentation for this struct was generated from the following file:

- src/include/lwip/apps/mdns_priv.h